# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/), and this project adheres to [Semantic Versioning](https://semver.org/).

## [0.1] - 2024-11-10

### Added

- **PlayerList**:
    - **Login Message Blocking**:
        - Added a mixin to `PlayerList` to prevent broadcasting login messages when players join the server.

- **ServerGamePacketListenerImpl**:
    - **Logout Message Blocking**:
        - Added a mixin to `ServerGamePacketListenerImpl` to prevent broadcasting logout messages when players leave the server.
