package org.itqop.hubmcutils.mixins;

import net.minecraft.network.chat.Component;

import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.At;
import org.spongepowered.asm.mixin.injection.Redirect;


@Mixin(net.minecraft.server.players.PlayerList.class)
public abstract class PlayerList {

    /**
     * Отключение сообщения о входе игрока.
     */
    @Redirect(method = "placeNewPlayer", at = @At(value = "INVOKE", target = "Lnet/minecraft/server/players/PlayerList;broadcastSystemMessage(Lnet/minecraft/network/chat/Component;Z)V"))
    private void redirectAddPlayerBroadcastMessage(net.minecraft.server.players.PlayerList instance, Component p_240618_, boolean p_240644_) {
    }
}
